# Theory: Merging branches

* Combines all the commits from a source branch onto a target branch



# Practical: Merging branches

* Create a new branch from your own branch:
```bash
$ git checkout -b Feature1
```

* Add two files to the Feature1 branch in two separate commits:
```bash
$ echo "Code that is merged into myBranch" > merge1.txt
$ git add merge1.txt
$ git commit -m "first commit to be merged"
```
```bash
$ echo "Code that is merged into myBranch" > merge2.txt
$ git add merge2.txt
$ git commit -m "second commit to be merged"
```



# Practical: Merging branches

* Check the commit log of the myBranch and Feature1 branch
```bash
$ git log
```

* Go to myBranch and merge the Feature1 branch into it
```bash
$ git merge Feature1
```

* This will move all changes made in the Feature1 branch
onto myBranch, effectively fusing the two together.